/*  Web Designer
   Copyright (C) 1999  LADISLAS Willhem

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Author's email : zillprog@freesurf.fr

   snailmail : LADISLAS Willhem
   2, rue du Serpolet
   95490 VAUREAL
   FRANCE
 */

#include "webdesigner.h"

/*
   void compact_file2(void) {
   FILE *infile;
   char *buff;

   if (numfileopened == 0) return;

   infile = fopen("/tmp/.wdtmp", "wb+");

   buff = gtk_editable_get_chars(GTK_EDITABLE(sheet[curfile].text), 0,gtk_text_get_length(GTK_TEXT(sheet[curfile].text)));
   if (fputs(buff, infile) == EOF) {
   perror("Error saving file");
   g_free(buff);
   fclose(infile);
   }
   fclose(infile);

   buff = (char *) malloc(1024);

   infile = fopen("/tmp/.wdtmp", "rb");
   newfile();
   gtk_text_freeze(GTK_TEXT(sheet[curfile].text));

   while (feof(infile)== 0)
   {
   fgets(buff,1024,infile);

   gtk_text_insert(GTK_TEXT (sheet[curfile].text), fixed_font, NULL,
   NULL, buff, strlen(buff)-1);
   }
   free(buff);
   fclose(infile);

   gtk_text_thaw(GTK_TEXT(sheet[curfile].text));

   }  fin de compact_file2 */

/* this function compact the file OR replace non ascii chars by its code 
0: compact
1: replace special chars
*/

void
compact_file (GtkWidget *w, int Opcode)
{
  char *buff;
  int i, j;

  if (numfileopened == 0)
    return;

  i = gtk_text_get_length (GTK_TEXT (sheet[curfile].text));

  if (i == 0)
    return;

  buff = gtk_editable_get_chars (GTK_EDITABLE (sheet[curfile].text), 0, i);

  newfile ();
  
    gtk_text_freeze (GTK_TEXT (sheet[curfile].text));

switch (Opcode) {

case 0:
  for (j = 0; j < i; j++)
    {
      if (buff[j] == '\n')
	goto end;

      gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, &buff[j], 1);

    end:
    }
	break;

case 1:

  for (j = 0; j < i; j++)
    {
      if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&eacute", 7);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&egrave", 7);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&ecirc", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&eulm", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&agrave", 7);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&acirc", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&aulm", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&ocirc", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&oulm", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&icirc", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&iulm", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&ugrave", 7);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&ucirc", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&uulm", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&ccedil", 7);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&micro", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&sect", 5);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&pound", 6);
	goto endtwo;
	}

  if (buff[j] == '') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&curren", 7);
	goto endtwo;
	}

  if (buff[j] == '~') {
        gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, "&tilde", 6);
	goto endtwo;
	}

      gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, NULL, NULL, &buff[j], 1);

    endtwo:
    }
	/* Shows the numbers of chars replaced */
	
	break;

}

  gtk_text_thaw (GTK_TEXT (sheet[curfile].text));

}				/* fin de compact_file */
