/*  Web Designer
   Copyright (C) 1999  LADISLAS Willhem

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Author's email : zillprog@freesurf.fr

   snailmail : LADISLAS Willhem
   2, rue du Serpolet
   95490 VAUREAL
   FRANCE
 */

#include "toolbar.h"

void
load_first_toolbar (void)
{
  GtkWidget *Standard;
  GtkWidget *Font;
  GtkWidget *Page;
  GtkWidget *maintoolbar;
  GtkWidget *label;

  GtkWidget *Formulaires;
  GtkWidget *Tablelist;
  GtkWidget *Extensions;
  GtkWidget *Javascript;
  GtkWidget *Special;
  GtkWidget *Personal;


  maintoolbar = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (maintoolbar), GTK_RELIEF_NONE);
  gtk_widget_show (maintoolbar);
  gtk_toolbar_set_space_size (GTK_TOOLBAR (maintoolbar), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));


  Standard = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Standard), GTK_RELIEF_NONE);
  gtk_widget_show (Standard);
  label = gtk_label_new ("Common");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Standard), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Standard, label);


  Font = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Font), GTK_RELIEF_NONE);
  gtk_widget_show (Font);
  label = gtk_label_new ("  Font  ");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Font), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Font));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Font, label);

  Page = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Page), GTK_RELIEF_NONE);
  gtk_widget_show (Page);
  label = gtk_label_new ("  Page  ");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Page), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Page));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Page, label);



  Formulaires = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Formulaires), GTK_RELIEF_NONE);
  gtk_widget_show (Formulaires);
  label = gtk_label_new (" Form ");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Formulaires), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Formulaires));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Formulaires, label);


  Tablelist = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Tablelist), GTK_RELIEF_NONE);
  gtk_widget_show (Tablelist);
  label = gtk_label_new ("Table and list");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Tablelist), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Tablelist));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Tablelist, label);


  Special = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Special), GTK_RELIEF_NONE);
  gtk_widget_show (Special);
  label = gtk_label_new (" Special ");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Special), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Special));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Special, label);

  Extensions = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Extensions), GTK_RELIEF_NONE);
  gtk_widget_show (Extensions);
  label = gtk_label_new ("Extensions");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Extensions), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Extensions));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Extensions, label);


  Javascript = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Javascript), GTK_RELIEF_NONE);
  gtk_widget_show (Javascript);
  label = gtk_label_new ("Javascript");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Javascript), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Javascript));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Javascript, label);


  Personal = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (Personal), GTK_RELIEF_NONE);
  gtk_widget_show (Personal);
  label = gtk_label_new ("Personnal");
  gtk_toolbar_set_space_size (GTK_TOOLBAR (Personal), 10);
  gtk_toolbar_append_space (GTK_TOOLBAR (Personal));

  gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Personal, label);


/* toolbar principal */
  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "New file",
			   "", new_pixmap (0, window->window, &color),
			   GTK_SIGNAL_FUNC (newfile), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Open file",
			   "", new_pixmap (3, window->window, &color),
			   GTK_SIGNAL_FUNC (openfile), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Save file",
			   "", new_pixmap (2, window->window, &color),
			   GTK_SIGNAL_FUNC (savefile), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Close file",
			   "", new_pixmap (6, window->window, &color),
			   GTK_SIGNAL_FUNC (close_primary), NULL);

  gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));


  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "New project",
			   "", new_pixmap (15, window->window, &color),
			   GTK_SIGNAL_FUNC (new_project), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Open project",
			   "", new_pixmap (17, window->window, &color),
			   GTK_SIGNAL_FUNC (open_project_dialog), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Save project",
			   "", new_pixmap (18, window->window, &color),
			   GTK_SIGNAL_FUNC (save_project), (int *) 0);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Close project",
			   "", new_pixmap (16, window->window, &color),
			   GTK_SIGNAL_FUNC (close_project), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Project manager",
			   "", new_pixmap (7, window->window, &color),
			 GTK_SIGNAL_FUNC (init_clist), GTK_OBJECT (window));

  gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Print",
			   "", new_pixmap (19, window->window, &color),
			   GTK_SIGNAL_FUNC (print_file), NULL);

  gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Cut",
			   "", new_pixmap (9, window->window, &color),
			   GTK_SIGNAL_FUNC (clipboard_actions), (int *) 0);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Copy",
			   "", new_pixmap (8, window->window, &color),
			   GTK_SIGNAL_FUNC (clipboard_actions), (int *) 1);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Paste",
			   "", new_pixmap (10, window->window, &color),
			   GTK_SIGNAL_FUNC (clipboard_actions), (int *) 2);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Repeat tag",
			   "", new_pixmap (41, window->window, &color),
			   GTK_SIGNAL_FUNC (repeat_tag), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Compact tags",
			   "", new_pixmap (40, window->window, &color),
			   GTK_SIGNAL_FUNC (compact_file), (int ) 0);

  gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Configuration",
			   "", new_pixmap (5, window->window, &color),
			   GTK_SIGNAL_FUNC (config), GTK_OBJECT (window));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Internal preview",
			   "", new_pixmap (11, window->window, &color),
			   GTK_SIGNAL_FUNC (int_view), GTK_OBJECT (window));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Toggle Help bar",
			   "", new_pixmap (69, window->window, &color),
		  GTK_SIGNAL_FUNC (tab_window_toggle), GTK_OBJECT (window));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "View in Netscape",
			   "", new_pixmap (12, window->window, &color),
		      GTK_SIGNAL_FUNC (netscape_view), GTK_OBJECT (window));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Quit",
			   "", new_pixmap (1, window->window, &color),
		  GTK_SIGNAL_FUNC (close_application), GTK_OBJECT (window));

  gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, "Help",
			   "", new_pixmap (4, window->window, &color),
			   GTK_SIGNAL_FUNC (about), NULL);


  gtk_box_pack_start (GTK_BOX (main_vbox), maintoolbar, FALSE, FALSE, 0);

/* Onglet common */

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Font",
			   "", new_pixmap (25, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 0);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Heading",
			   "", new_pixmap (34, window->window, &color),
			   GTK_SIGNAL_FUNC (choose_H), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Bold text",
			   "", new_pixmap (22, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 1);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Italic text",
			   "", new_pixmap (23, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 2);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Underlign text",
			   "", new_pixmap (24, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 3);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "left alignment",
			   "", new_pixmap (27, window->window, &color),
		     GTK_SIGNAL_FUNC (tag_insert_exec), (char *) (int *) 4);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "center",
			   "", new_pixmap (28, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 5);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "right alignment",
			   "", new_pixmap (26, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 6);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "justify",
			   "", new_pixmap (29, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 7);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "preformatted text",
			   "", new_pixmap (35, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 8);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Blockquote",
			   "", new_pixmap (30, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 9);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Line Break",
			   "", new_pixmap (31, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 10);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Paragraph",
			   "", new_pixmap (32, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 11);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Comment",
			   "", new_pixmap (33, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 12);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Horizontal ruler",
			   "", new_pixmap (75, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 34);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Anchor",
			   "", new_pixmap (88, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 47);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Image",
			   "", new_pixmap (89, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 55);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Insert file path",
			   "", new_pixmap (3, window->window, &color),
			   GTK_SIGNAL_FUNC (dialog_insert_path), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, "Insert hex color",
			   "", new_pixmap (101, window->window, &color),
			   GTK_SIGNAL_FUNC (color_insert_dialog), NULL);



/* onglet Police */
  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Big text",
			   "", new_pixmap (42, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 13);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Small text",
			   "", new_pixmap (43, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 14);


  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Blinking text",
			   "", new_pixmap (44, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 15);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Cite",
			   "", new_pixmap (45, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 16);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Font +1",
			   "", new_pixmap (103, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 70);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Font -1",
			   "", new_pixmap (102, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 71);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Basefont",
			   "", new_pixmap (104, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 72);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Emphasis",
			   "", new_pixmap (62, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 22);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Striked text",
			   "", new_pixmap (63, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 23);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Superscript",
			   "", new_pixmap (64, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 24);


  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Subscript",
			   "", new_pixmap (65, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 25);


  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "teletype",
			   "", new_pixmap (66, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 26);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "keyboard",
			   "", new_pixmap (67, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 27);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "listing",
			   "", new_pixmap (68, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 28);

  gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, "Code",
			   "", new_pixmap (70, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 29);

/* onglet Formulaires */

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Form",
			   "", new_pixmap (79, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 45);


  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Hidden input",
			   "", new_pixmap (80, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 46);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Password input",
			   "", new_pixmap (71, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 30);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Text input",
			   "", new_pixmap (72, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 31);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Reset button",
			   "", new_pixmap (73, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 32);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Send button",
			   "", new_pixmap (74, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 33);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Simple button",
			   "", new_pixmap (84, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 48);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Checkbox",
			   "", new_pixmap (76, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 35);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Radio box",
			   "", new_pixmap (77, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 36);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Text area",
			   "", new_pixmap (78, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 44);

  gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, "Fieldset",
			   "", new_pixmap (98, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 66);

/* onglet Page */

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "HTML",
			   "", new_pixmap (55, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 17);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Head",
			   "", new_pixmap (56, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 18);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Body",
			   "", new_pixmap (60, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 19);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Title",
			   "", new_pixmap (57, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 20);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "META informations",
			   "", new_pixmap (58, window->window, &color),
			   GTK_SIGNAL_FUNC (load_meta_info), NULL);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Banner",
			   "", new_pixmap (59, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 21);

  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Document type",
			   "", new_pixmap (61, window->window, &color),
			   GTK_SIGNAL_FUNC (init_doctypelist), NULL);


  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Internal anchor",
			   "", new_pixmap (90, window->window, &color),
		       GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 56);


  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Internal link",
			   "", new_pixmap (91, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 57);


  gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, "Link to the top",
			   "", new_pixmap (92, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 58);




/* onglet table and list */

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Table",
			   "", new_pixmap (93, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 61);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Table head",
			   "", new_pixmap (94, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 62);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Table row",
			   "", new_pixmap (96, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 63);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Table data",
			   "", new_pixmap (95, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 64);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Caption",
			   "", new_pixmap (97, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 65);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Ordered list",
			   "", new_pixmap (81, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 38);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Unordered list",
			   "", new_pixmap (82, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 39);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "List item",
			   "", new_pixmap (83, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 40);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Descriptive definition",
			   "", new_pixmap (85, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 41);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Descriptive term",
			   "", new_pixmap (87, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 42);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Descriptive list",
			   "", new_pixmap (86, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 43);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Directory list",
			   "", new_pixmap (99, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 59);

 gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, "Menu list",
			   "", new_pixmap (100, window->window, &color),
			   GTK_SIGNAL_FUNC (tag_insert_exec), (int *) 60);


}				/* fin de load_first_toolbar(void) */

void
init_popmenu (void)
{
  GtkWidget *menu_item;

  popmenu = gtk_menu_new ();

  menu_item = gtk_menu_item_new_with_label ("Cut");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 0);
  gtk_widget_show (menu_item);


  menu_item = gtk_menu_item_new_with_label ("Copy");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 1);
  gtk_widget_show (menu_item);


  menu_item = gtk_menu_item_new_with_label ("Paste");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 2);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new ();
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Select All");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 3);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Erase selection");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 4);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Paste as new doc");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
		      GTK_SIGNAL_FUNC (clipboard_actions), (int *) 5);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new ();
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_widget_show (menu_item);


  menu_item = gtk_menu_item_new_with_label ("Save");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (savefile), NULL);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Informations");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (display_file_info), NULL);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Close");
  gtk_menu_append (GTK_MENU (popmenu), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (close_primary), NULL);
  gtk_widget_show (menu_item);

  popmenu2 = gtk_menu_new ();

  menu_item = gtk_menu_item_new_with_label ("Edit");
  gtk_menu_append (GTK_MENU (popmenu2), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (edit_file_exec), NULL);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("Remove from project");
  gtk_menu_append (GTK_MENU (popmenu2), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (remove_file2), NULL);
  gtk_widget_show (menu_item);

  menu_item = gtk_menu_item_new_with_label ("File informations");
  gtk_menu_append (GTK_MENU (popmenu2), menu_item);
  gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
			     GTK_SIGNAL_FUNC (display_file_info), NULL);
  gtk_widget_show (menu_item);

}				/*fin de init_popmenu(); */
