/*  Web Designer
   Copyright (C) 1999  LADISLAS Willhem

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Author's email : zillprog@freesurf.fr

   snailmail : 
   LADISLAS Willhem
   2, rue du Serpolet
   95490 VAUREAL
   FRANCE
 */

#include "color.h"

void insert_color_exec(GtkWidget *wdgt, gpointer data) {

gint redval, greenval, blueval,i;
char textstring[7];

redval = GTK_COLOR_SELECTION(wdgt)->values[3] * 255;
greenval = GTK_COLOR_SELECTION(wdgt)->values[4] *255;
blueval = GTK_COLOR_SELECTION(wdgt)->values[5] *255;

sprintf(textstring, "#%.2x%.2x%.2x", redval,greenval,blueval);

  gtk_text_set_point (GTK_TEXT (sheet[curfile].text), gtk_editable_get_position (GTK_EDITABLE (sheet[curfile].text)));

  i = gtk_text_get_point (GTK_TEXT (sheet[curfile].text));

  gtk_editable_set_position (GTK_EDITABLE (sheet[curfile].text), i);


gtk_text_insert (GTK_TEXT (sheet[curfile].text), fixed_font, &green, NULL, textstring, 7);
gtk_widget_destroy(color_dialog);

} /* fin de insert_color_exec */

void color_insert_dialog(void) {


color_dialog = gtk_color_selection_dialog_new("Insert color hex value...");

gtk_signal_connect_object(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(color_dialog)->ok_button), "clicked", GTK_SIGNAL_FUNC(insert_color_exec), GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(color_dialog)->colorsel));

gtk_signal_connect_object(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(color_dialog)->cancel_button), "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(color_dialog));

gtk_widget_show(color_dialog);

} /* fin de color_insert_dialog */