/*  Web Designer
   Copyright (C) 1999  LADISLAS Willhem

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Author's email : zillprog@freesurf.fr

   snailmail : LADISLAS Willhem
   2, rue du Serpolet
   95490 VAUREAL
   FRANCE
 */

#include "webdesigner.h"


void
helpsys_init (void)
{

  GtkWidget *hbutton1;
  GtkWidget *help_window;
  GtkWidget *scr_window;
  GtkWidget *h_box;
  char *topic_choice;

  help_window = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_window_set_title (GTK_WINDOW (wind), "Help");

  scr_window = gtk_scrolled_window_new (NULL, NULL);
  gtk_scrolled_window_set_policy (GTK_DIALOG (scr_window), GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (help_window)), scr_window, FALSE, FALSE, 0);

  h_box = gtk_hbox_new (FALSE, 1);

  hbutton1 = gtk_button_new_with_label ("Display");
  gtk_box_pack_start (GTK_BOX (h_box), hbutton1, TRUE, FALSE, 5);
  gtk_widget_show (hbutton1);

  gtk_signal_connect (GTK_OBJECT (hbutton1), "clicked", GTK_SIGNAL_FUNC (help_search), char *topic_choice);
  gtk_signal_connect_object (GTK_OBJECT (hbutton1), "clicked", GTK_SIGNAL_FUNC (gtk_widget_destroy), GTK_OBJECT (help_window));

  hbutton1 = gtk_button_new_with_label ("Close");
  gtk_box_pack_start (GTK_BOX (h_box), hbutton1, TRUE, FALSE, 5);
  gtk_widget_show (hbutton1);

  gtk_signal_connect (GTK_OBJECT (help_window), "destroy", GTK_SIGNAL_FUNC (gtk_widget_destroy), GTK_OBJECT (help_window));

  gtk_widget_set_usize (GTK_WIDGET (help_window), 300, 280);
  gtk_widget_show (help_window);

}				/* fin de helpsys_init */
